Subject: Re: [RFC/PATCH] clone: introduce clone.submoduleGitDir to relocate $GITDIR

From: Marc Branchaud <[email-masked]>
Date: Mon, 15 Apr 2013 14:50:19 -0400

On 13-04-15 02:00 PM, Ramkumar Ramachandra wrote:
> Junio C Hamano wrote:
>> 
>> I do not think the addition Ram is envisioning in the patch will
>> prevent you from teaching "add" to do that.  An implemention of such
>> an addition indeed would most likely use the same --separate-git-dir
>> mechanism anyway.
> 
> Well, I'm against the change in principle because add operates on
> worktree paths, not URLs.  I don't want to change that arbitrarily.

I don't understand that statement.

If "git add" is all about specifying what lives under paths in the worktree,
what's wrong with letting "git add" go beyond specifying just files?

Syntax aside for the moment, I think a command like
	git add git-repo-reference foo
is perfectly natural:  It specifies what is inside worktree path foo.

		M.